Bug 472146 - ibus-gtk cannot be installed multilib
ibus-gtk cannot be installed multilib
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-18 18:32 EST by Jens Petersen
Modified: 2008-12-21 03:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 03:46:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Make ibus multilibable. (1.28 KB, patch)
2008-11-18 21:35 EST, Peng Huang
no flags Details | Diff

  None (edit)
Description Jens Petersen 2008-11-18 18:32:30 EST
Description of problem:
ibus-gtk requires libibus-gtk.so which is in the main ibus package.  ibus.i386 and ibus.x86_64 conflict therefore ibus-gtk.i386 cannot be installed on the x86_64 system and ibus-gtk cannot be used with 32bit applications.

How reproducible:
every time

Steps to Reproduce:
1. Install Fedora on x86_64
2. Try to install ibus-gtk.i386
  
Actual results:
2. conflict between ibus.i386 and ibus.x86_64

Expected results:
2. libibus-gtk should be packaged in a package which can be installed multilib (e.g. ibus-libs).

Additional info:
Additional problem is that currently ibus is multilib not ibus-gtk which is wrong.
(It seems only ibus-x11 is linked to libibus-gtk.so.0.)
Comment 1 Peng Huang 2008-11-18 21:35:46 EST
Created attachment 323990 [details]
Make ibus multilibable.
Comment 2 Peng Huang 2008-11-18 21:37:15 EST
Hi Jens,

I created a patch to make ibus multiliable. I moved ibus-x11 & libibus-gtk.so to ibus-gtk package. Do you think it is OK?
Comment 3 Jens Petersen 2008-11-18 22:42:50 EST
I think you should only move libibus-gtk to ibus-gtk and keep ibus-x11 in the main package which does not need to be multilib.
Comment 4 Peng Huang 2008-11-19 03:40:02 EST
fixed in ibus-0_1_1_20081023-2_fc11
Comment 5 Bug Zapper 2008-11-26 00:35:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jens Petersen 2008-12-17 23:52:22 EST
It would be good to backport this to f10.
Comment 7 Fedora Update System 2008-12-18 02:00:19 EST
ibus-0.1.1.20081023-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ibus-0.1.1.20081023-2.fc10
Comment 8 Fedora Update System 2008-12-21 03:46:06 EST
ibus-0.1.1.20081023-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.